import request from '@/utils/request'

// 分页查询图库目录列表
export function pageListCata(query) {
  return request({
    url: '/gallery/cata/pageList',
    method: 'get',
    params: query
  })
}

// 查询图库目录列表
export function listCata(query) {
  return request({
    url: '/gallery/cata/list',
    method: 'get',
    params: query
  })
}

// 查询图库目录详细
export function getCata(id) {
  return request({
    url: '/gallery/cata/' + id,
    method: 'get'
  })
}

// 新增图库目录
export function addCata(data) {
  return request({
    url: '/gallery/cata',
    method: 'post',
    data: data
  })
}

// 修改图库目录
export function updateCata(data) {
  return request({
    url: '/gallery/cata',
    method: 'put',
    data: data
  })
}

// 删除图库目录
export function delCata(id) {
  return request({
    url: '/gallery/cata/' + id,
    method: 'delete'
  })
}

// 导出图库目录
export function exportCata(query) {
  return request({
    url: '/gallery/cata/' + 'export',
    method: 'post',
    params: query
  })
}
